
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>VC获取当前路径及程序名的实现代码_C 语言 / iVAN</title>

    <meta name="description" content="VC获取当前路径及程序名的实现代码_C 语言 一.获取当前运行目录的绝对路径 1.使用GetCurrentDirectory函数 假设程序路径为D:\Test\tst.exe,执行GetCurrentDirectory函数 char pBuf[MAX_PATH]; GetCurrentDirectory(MAX_PATH,pBuf); pBuf=&quot;D:\Test&quot; 但是如果使用CFileDialog.CFile::Open等函数后,设置不当则会导致再次获取当前路径值改变.所以,如要避免当前路径改变,如果使用CFileDi ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">VC获取当前路径及程序名的实现代码_C 语言</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p><strong>一、获取当前运行目录的绝对路径</strong></p>
<p>1、使用GetCurrentDirectory函数<br />
假设程序路径为D:\Test\tst.exe，执行GetCurrentDirectory函数</p>
<pre>
char pBuf[MAX_PATH];
GetCurrentDirectory(MAX_PATH,pBuf);</pre>
<p>pBuf="D:\Test"<br />
但是如果使用CFileDialog、CFile::Open等函数后，设置不当则会导致再次获取当前路径值改变。所以，如要避免当前路径改变，如果使用CFileDialog，则要把在CFileDialog的dwFlags标志设置为OFN_NOCHANGEDIR。如下：</p>
<pre>
CFileDialog hFileDlg(false,NULL ,
		NULL,
		OFN_FILEMUSTEXIST | OFN_READONLY | OFN_PATHMUSTEXIST | OFN_NOCHANGEDIR,
		TEXT("Text Files (*.txt)|*.txt|All Files(*.*)|*.*|"),
		NULL);</pre>
<p>也可以，先执行GetCurrentDirectory把获取到目录路径保存下来，处理完成后，再次SetCurrentDirectory设置一下。<br /><strong>2、使用GetModuleFileName</strong></p>
<pre>
CString strCurPath;
	GetModuleFileName(NULL,strCurPath.GetBuffer(MAX_PATH),MAX_PATH);
 	int pos= strCurPath.ReverseFind(_T('\\'));
 	strCurPath = strCurPath.Left(pos);</pre>
<p>输出（路径包括运行文件名）：<br />
strCurPath="D:\Test\tst.exe"<br /><strong>二、获取打开文件的完整路径</strong></p>
<p>通过对话框打开文件时，一般均需获取打开文件的完整路径，可使用CFileDialog的GetPathName函数，代码如下：</p>
<pre>
CFileDialog hFileDlg(false,NULL ,
	NULL,
	OFN_FILEMUSTEXIST | OFN_READONLY | OFN_PATHMUSTEXIST | OFN_NOCHANGEDIR,
	TEXT("Text Files (*.txt)|*.txt|All Files(*.*)|*.*|"),
	NULL);
if(hFileDlg.DoModal() == IDOK) {
	m_strEdtSrcFile = hFileDlg.GetPathName();
	UpdateData(FALSE);
}</pre>
<p><strong>三、获取当前运行程序名</strong></p>
<p>通过GetModuleFileName获取完整路径后，可以使用PathStripPath API函数解析路径，代码示例如下：</p>
<pre>
/*
#include "shlwapi.h"
#pragma comment(lib, "shlwapi.lib ")
*/

TCHAR szPath2[] = TEXT("D:\\Test\\tst.exe");
PathStripPath(szPath2);
// Result: szPath2 ==tst.exe

TCHAR szPath3[] = TEXT("D:\\Test\\Debug");
PathStripPath(szPath3);
// Result: szPath3 == Debug

TCHAR szPath4[] = TEXT("D:\\Test\\Debug\\");
PathStripPath(szPath4);
// Result: szPath4 == Debug\

TCHAR szPath5[] = TEXT("D:\\");
PathStripPath(szPath5);
// Result: szPath5 == D:\ </pre>
<p>使用此函数要注意，并非只是提取文件名，如果它不能识别时，则会返回原始字符串（不做处理）。所以，不放心的话，自己手动提取文件名更为保险。</p>
<pre>
CString strCurPath;
GetModuleFileName(NULL,strCurPath.GetBuffer(MAX_PATH),MAX_PATH)
strCurPath.ReleaseBuffer();//Must ReleaseBuffer, or GetLength=0
int pos= strCurPath.ReverseFind(_T('\\'));
int len = strCurPath.GetLength();
strCurPath = strCurPath.Right(len-pos-1);</pre>
<p><strong>参考资料：</strong></p>
<p>http://msdn.microsoft.com/en-us/library/windows/desktop/bb773756%28v=vs.85%29.aspx</p>
<p><strong>CString 诡异的 GetLength() 返回 0</strong></p>
<p>如果CString是从GetPrivateProfileStr()返回的 <br />
记得return 该CString 前 释放buffer <br />
要不,CString.GetLength()将返回0 <br />
找了半天原因, <br />
---------------------------------------------------- <br />
“If you use the pointer returned by GetBuffer to change the string contents, you must call ReleaseBuffer before using any other CString member functions. ”</p>
<p>在i=m_SZFileName.GetLength()之前调用m_SZFileName.ReleaseBuffer()就可以了。</p>
<p><strong>临时搞两天VC，在VC里如何获取当前程序的名字和路径以及如何分割字符串</strong></p>
<pre>
#include "stdafx.h"
#include &lt;windows.h&gt; 

int main(int argc, char* argv[])

{
 //先获取运行程序的完整路径
 char szFileName[256];
 memset(szFileName,'"0',sizeof(szFileName));

 GetModuleFileName(NULL,szFileName, sizeof(szFileName)); 

 //再分割完整路径的字符串，最后一个就是程序的名字
 char seps[] = "\\" ;
 char *token = NULL; 

 char exeName[256];
 memset(exeName,'\0',sizeof(exeName));

 token = strtok( szFileName, seps );
 while( token != NULL )
 {
   sprintf(exeName,"%s",token);
   token = strtok( NULL, seps ); 

  }
  printf("%s\n",exeName);
  getchar();
  return 0;
}</pre>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索vc<br />
                    ，                当前路径<br />
                                    程序名<br />
                                    vc 获取当前路径、vc当前路径、vc获得当前路径、vc获取当前程序路径、vc6 实现多语言版，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-27 06:14:28</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e7%a8%8b%e5%ba%8f%e5%90%8d/" title="程序名">程序名</a>, <a href="https://www.iamivan.net/tag/%e5%bd%93%e5%89%8d%e8%b7%af%e5%be%84/" title="当前路径">当前路径</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>VC获取当前路径及程序名的实现代码_C 语言的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8E3jb.html" rel="bookmark">VC&plus;&plus;植物大战僵尸中文版修改器实现代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了VC++植物大战僵尸中文版修改器实现代码.分享给大家供大家参考.具体分析如下: 这是很简单的一个辅助工具,关键是游戏数据的分析,实现了两个功能,无限阳光和无冷却.特别注意的一下,如果用VS2008编译的话,调试的时候是正常的,但编译后功能就会失效,这是因为OpenProcess权限的问题,需要提权,在VC6下是正常的. void CzhiwuDlg::OnBnClickedButton1() { //无限阳光代码 HWND hJubing; DWORD lID; DWORD bas			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/ze0KEwp.html" rel="bookmark">获取本地网卡适配器信息具体代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				效果如下: 具体代码如下: 复制代码 代码如下: #include &lt;Windows.h&gt;#include &lt;IPHlpApi.h&gt;#include &lt;stdio.h&gt; #pragma comment(lib, &quot;IPHlpApi&quot;)#pragma comment(lib, &quot;ws2_32&quot;) int main(int argc, char **argv){    PIP_ADAPTER_INFO pAdapterInfo = N			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPXmLmp.html" rel="bookmark">Linux C 获取进程退出值的实现代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				如以下代码所示: 复制代码 代码如下: #include &lt;stdio.h&gt;#include &lt;stdlib.h&gt;#include &lt;string.h&gt;#include &lt;sys/types.h&gt;#include &lt;sys/wait.h&gt;#include &lt;unistd.h&gt;#include &lt;errno.h&gt;int main(int argc, char *argv[]){ pid_t pid; int stat; in			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYGP3b.html" rel="bookmark">VC实现获取本机MAC地址的方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例采用vc6.0运行环境,通过实例实现获得MAC地址的功能. 完整的实例代码如下: #include &quot;stdafx.h&quot; #include &lt;stdio.h&gt; #include &lt;stdlib.h&gt; #include &lt;httpext.h&gt; #include &lt;windef.h&gt; #include &lt;Nb30.h&gt; int getMAC(char * mac) { NCB ncb; typedef struct _AS			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/b2Zr8ob.html" rel="bookmark">VC下实现fopen支持中文的方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				VC的fopen函数第一个参数是const char*,一旦遇到中文文件名就难以应付了,如果中文是UTF8编码的话,我们还可以用下列代码将其转换为UNICODE,然后用_wfopen函数打开文件. 代码如下: bool UTF8ToUnicode(const char* UTF8, wchar_t* strUnicode) { DWORD dwUnicodeLen; //转换后Unicode的长度 TCHAR *pwText; //保存Unicode的指针 // wchar_t* strUnic			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5QeaWp.html" rel="bookmark">VC实现批量删除指定文件的方法&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文所述实例主要实现了删除某个盘符下指定位置的文件,可以是TXT.doc.jpeg等格式,只要选定格式后,再定义好盘符,即可一键删除所有指定类型的文件.再次提示删除前请确认,且删除后不可恢复. 以下是最主要的核心代码,其它代码读者可以自己添加. SHFILEINFO shInfo; memset(&amp;shInfo,0,sizeof(SHFILEINFO)); HIMAGELIST hImage = (HIMAGELIST)SHGetFileInfo(&quot;C:\\&quot;,0,&amp;s			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zV7D4Db.html" rel="bookmark">C语言冒泡排序算实现代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				冒泡排序是排序算法的一种,思路清晰,代码简洁,常被用在大学生计算机课程中. &quot;冒泡&quot;这个名字的由来是因为越大的元素会经由交换慢慢&quot;浮&quot;到数列的顶端,故名. 这里以从小到大排序为例进行讲解. 基本思想及举例说明 冒泡排序的基本思想就是不断比较相邻的两个数,让较大的元素不断地往后移.经过一轮比较,就选出最大的数:经过第2轮比较,就选出次大的数,以此类推. 下面以对 3  2  4  1 进行冒泡排序说明. 第一轮 排序过程3  2  4  1    (最初) 2  3 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0NlqAz.html" rel="bookmark">基于C语言实现的扫雷游戏代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文详细讲述了基于C语言实现的扫雷游戏代码,代码中备有比较详细的注释,便于读者阅读和理解.希望对学习游戏开发的朋友能有一点借鉴价值. 完整的实例代码如下: /* 模拟扫雷游戏 */ #include &lt;graphics.h&gt; #include &lt;math.h&gt; #include &lt;stdio.h&gt; #include &lt;dos.h&gt; #include &lt;stdlib.h&gt; #include &lt;conio.h&gt; #include &lt;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqD6a3b.html" rel="bookmark">C语言二分查找算法及实现代码&lowbar;C 语言</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				二分査找也称折半査找,其优点是查找速度快,缺点是要求所要査找的数据必须是有序序列.该算法的基本思想是将所要査找的序列的中间位置的数据与所要査找的元素进行比较,如果相等,则表示査找成功,否则将以该位置为基准将所要査找的序列分为左右两部分.接下来根据所要査找序列的升降序规律及中间元素与所查找元素的大小关系,来选择所要査找元素可能存在的那部分序列,对其采用同样的方法进行査找,直至能够确定所要查找的元素是否存在,具体的使用方法可通过下面的代码具体了解. #include &lt;stdio.h&gt; binar			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjEQVz.html" rel="bookmark" class="title">c&sol;c&plus;&plus; 函数、常量、指针和数组的关系梳理</a>
					<div>
						压力才有动力,15年中旬就要准备实习,学习复习学习复习学习复习学习复习--无限循环中,好记性不如烂笔头--从数组开始,为主干. c 的array由一系列的类型相同的元素构成,数组声明包括数组元素个数和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OM9qKXM.html" rel="bookmark" class="title">个人服务器架设全攻略&lpar;23&rpar;</a>
					<div>
						服务器|个人服务器|攻略 6.如果有必要,可在下面的选项中输入欲保留的IP地址或IP地址范围:否则直接单击&quot;下一步&quot;.如下图:7.下面的&quot;租约期限&quot;可设定DHC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/4MYG59z.html" rel="bookmark" class="title">IIS的一个莫名错误Server Application Unavailable</a>
					<div>
						application|iis|server|错误 Server Application Unavailable The web application you are attempting to a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjZjEp.html" rel="bookmark" class="title">AIX环境下数据文件ORA-1113故障处理过程</a>
					<div>
						故障环境: AIX5.3 ORACLE10.2.0.3 RAC HA 故障现象: 一.启动RAC单节点异常 $ crs_stat -t Name           Type           Ta ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK52Np.html" rel="bookmark" class="title">利用OpenGL实现动画效果</a>
					<div>
						本程序主要通过不断改变视口位置来模仿动画效果,同时介绍了在进行opengl绘图时所做的一些不可或缺的准备工作. 一.首先新建一个 &quot;Win32 Application&quot; 的空工程. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvK9D5p.html" rel="bookmark" class="title">对J2EE中死锁问题的研究</a>
					<div>
						大多数重要的应用程序都涉及高度并发性和多个抽象层.并发性与资源争用有关,并且是导致死锁问题增多的因素之一.多个抽象层使隔离并修复死锁环境的工作变得更加困难. 通常,当同时执行两个或两个以上的线程时,如 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zJ7JKqb.html" rel="bookmark" class="title">如何设计出高质量的网页</a>
					<div>
						随着开放平台日益增多,衍生出来的各类应用服务也就呈不断增长的趋势.这些应用服务的站点设计也可谓是五彩斑斓,灿若繁星. 我们可以来找找这些网站的设计是否有规律可循. 通常一个网站,都会有许多目标需要完成 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYRlnrp.html" rel="bookmark" class="title">基于Solr DIH实现MySQL表数据全量索引和增量索引</a>
					<div>
						实现MySQL表数据全量索引和增量索引,基于Solr DIH组件实现起来比较简单,只需要重复使用Solr的DIH(Data Import Handler)组件,对data-config.xml进行简单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQrjEZM.html" rel="bookmark" class="title">【机房合作】重新认识外观模式</a>
					<div>
						机房收费系统合作版,是我们第三次与机房收费系统相遇的时刻.在个人重构的时候,我们就开始了&quot;七层架构&quot;之旅,其中外观模式是单独作为一层来开发的. 那个时候,也不理解外观是起到怎样一个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQvk8p.html" rel="bookmark" class="title">【重金】求一个简单的程序</a>
					<div>
						问题描述 就三个功能1可以自动将指定的文件夹内所有的视频添加到播放队列,并重复播放!2获取局域网或网路上某个路径内的文件,并和本地的做比对,如果不一致,以对方为准,自动下载覆盖,出现下载升级框!3下载 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z4NxQ9M.html" rel="bookmark" class="title">android应用-如何使用小猿搜题app解决我的这个问题 &quest;</a>
					<div>
						问题描述 如何使用小猿搜题app解决我的这个问题 ? 本人2016高考狗一枚,想要做自己的整理本.但由于抄题画图等过程比较复杂, 所以我想借用信息手段来解决这个问题. 我希望有题目图形解题过程和自己的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mye52lM.html" rel="bookmark" class="title">企业IT管理必备 数据库审计基础介绍</a>
					<div>
						本文讲的是企业IT管理必备 数据库审计基础介绍,随着信息化的深入和普及,各行各业对信息系统的依赖性越来越强,信息系统中的数据也逐渐成为了企业的生命.数据的不准确.不真实.不一致.重复杂乱等就会影响企业 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M601lAz.html" rel="bookmark" class="title">运维小知识之nginx---&period;&period;nginx-sticky-module-1&period;1ngx&lowbar;http&lowbar;sticky&lowbar;misc&period;cIn function &OpenCurlyQuote;ngx&lowbar;http&lowbar;sticky&lowbar;misc&lowbar;text&lowbar;</a>
					<div>
						运维小知识之nginx---..nginx-sticky-module-1.1ngx_http_sticky_misc.cIn function 'ngx_http_sticky_misc_text_ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYR4Vb.html" rel="bookmark" class="title">甲骨文推进内蒙古自治区人力资源和社会保障信息化</a>
					<div>
						内蒙古自治区人力资源和社会保障厅选用Oracle GoldenGate.Oracle数据库11g企业版(Oracle Database 11g Enterprise Edition).Oracle真实 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGrweEp.html" rel="bookmark" class="title">基于Jquery插件Uploadify实现实时显示进度条上传图片&lowbar;jquery</a>
					<div>
						先了解了解Uploadify,具体内容如下 Uploadify是一个简单易用的多文件上传方案.作为一个Jquery插件,Uploadify使用简单,并具有高度的定制性. Uploadify特性: Up ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAkY9Qz.html" rel="bookmark" class="title">JavaScript函数节流概念与用法实例详解&lowbar;javascript技巧</a>
					<div>
						本文实例讲述了JavaScript函数节流概念与用法.分享给大家供大家参考,具体如下: 最近在做网页的时候有个需求,就是浏览器窗口改变的时候需要改一些页面元素大小,于是乎很自然的想到了window的r ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBkd7aM.html" rel="bookmark" class="title">jquery siblings获取同辈元素用法实例分析&lowbar;jquery</a>
					<div>
						本文实例讲述了jquery siblings获取同辈元素用法.分享给大家供大家参考,具体如下: jquery siblings 用于获得匹配集合中每个元素的同胞. 语法: .siblings(sele ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXK73jM.html" rel="bookmark" class="title">select-如何将查询到的系统时间，利用p&equals;rs&period;get&period;&period;&period;&lpar;&rpar;&semi;将时间赋值给一个字符串p</a>
					<div>
						问题描述 如何将查询到的系统时间,利用p=rs.get...();将时间赋值给一个字符串p 如何将&quot;SELECT NOW&quot;查询到的系统时间,利用p=rs.get...();将时间赋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLnvVM.html" rel="bookmark" class="title">《C&num;入门经典5版》中的小BUG，求原因</a>
					<div>
						问题描述 本人自学C#,看得是&lt;C#入门经典5版&gt;,现在发现了一个小问题就是菜单Format项中的Bold,Italic,Underline控件的属性中CheckOnClick不能是Tru ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MWd1WAp.html" rel="bookmark" class="title">张方文：浅谈如何做好微博营销</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 在微博火爆之际,网络推手们看到了微博的威力和前景,可是也有业内人士评说这只是一股潮流和跟风,它会像SNS那样随着时间的推移热潮慢慢退去!真的是这样吗?  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8GZABM.html" rel="bookmark" class="title">中关村大数据产业联盟东北分盟在东网科技成立</a>
					<div>
						ZD至顶网CIO与应用频道 02月13日 北京消息: 2月10日,中关村大数据产业联盟(以下简称联盟)与东北地区领先的大数据云计算企业东网科技有限公司,在沈阳达成战略合作,成立中关村大数据产业联盟东北 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYd43lb.html" rel="bookmark" class="title">ApplePay出问题：手机还原无法添加银行卡</a>
					<div>
						据外媒报道,多名iPhone6用户在苹果支持论坛上报告,他们的iPhone手机在还原之后无法将银行卡重新添加回Apple Pay,而原因可能是设备中的安全区域没有完全被清除导致.ApplePay出问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bByPDJz.html" rel="bookmark" class="title">第五章（1）Libgdx应用框架之生命周期</a>
					<div>
						生命周期 一个libgdx应用有一个良好定义的生命周期,管理应用的状态,比如创建,暂停和恢复,渲染和处理应用. ApplicationListener 应用开发者通过实现ApplicationList ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLBKG8b.html" rel="bookmark" class="title">环保政策明显落后于公众环保热情</a>
					<div>
						漫画:张兮兮 环保政策明显落后于公众环保热情 90%的消费者愿意为环保产品及服务支付额外费用: 本该令行禁止的超薄塑料袋仍在大量生产.使用 汪东亚 英国RSA保险集团今年10月发布的一项调查报告显示, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bjo94nM.html" rel="bookmark" class="title">《众妙之门&mdash;&mdash;网页设计专业之道》&mdash;&mdash;1&period;6　丰富强大的版式</a>
					<div>
						1.6 丰富强大的版式 多年以来,排版在网页设计中一直扮演着重要角色.大胆.强烈.沉重的刊头能够有效地宣传电子商务网站或作品集网站:然而一个巧妙的刊头则更有助于呈现内容的结构,并且提升易读性.很显然, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9Nr2Rp.html" rel="bookmark" class="title">算法导论-1</a>
					<div>
						算法导论一共7个部分,第一第二部分可以迅速看过:第三部分比较基础,要打好基础:第四部分很经典的几个算法,要认真琢磨:第五部分b树.二项堆.等:第六部分图算法,基本的几个算法掌握:第七部分是算法研究,学 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mx2RwPz.html" rel="bookmark" class="title">一分钟了解阿里云产品：弹性伸缩五大热点技术问题分析</a>
					<div>
						在上一篇文章中,我们为大家介绍弹性伸缩的概况,弹性伸缩(Auto Scaling)是根据用户的业务需求和策略,自动调整其弹性计算资源的管理服务,那在使用过程中,经常遇到的热门技术问题有哪些呢?   一 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG14G6M.html" rel="bookmark" class="title">25款室内净化器净化效果差6倍</a>
					<div>
						摘要: 空气净化器已成为污染环境下很多家庭的标配,这些净化器真的能帮助净化空气吗?昨天,中消协对外公布25款净化器的比较试验结果,不同的室内净化器净化效果相差6倍之多.一款售 空气净化器已成为污染环境 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmd7w7M.html" rel="bookmark" class="title">运维转型，打造高可用NFV网络</a>
					<div>
						随着用户体验日益重要,为满足用户体验的ROADS (实时.按需.全在线.服务自助.社交化)趋势,运营商需要建设开放.敏捷.面向业务的网络,NFV(Network Function Virtualiza ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYBN1Vp.html" rel="bookmark" class="title">微软首家正版体验店正式开业</a>
					<div>
						图为微软正版体验店剪彩现场 4月26日下午消息,微软中国宣布国内首家微软正版体验店正式投入运营.该店位于北京中关村鼎好商城1层,由渠道经销商负责经营,主营微软旗下如Windows.Office以及键盘 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.030 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
